## ide-project-files ide-project-files |

## Functions

#define | IDE_TYPE_PROJECT_FILES
IdeFile * | ide_project_files_get_file_for_path ()
void | ide_project_files_add_file ()
IdeProjectItem * | ide_project_files_find_file ()

## Types and Values

struct | IdeProjectFiles

## Object Hierarchy

        GObject
        ╰── IdeObject
            ╰── IdeProjectItem
                ╰── IdeProjectFiles

## Description

## Functions

### IDE_TYPE_PROJECT_FILES

    #define IDE_TYPE_PROJECT_FILES (ide_project_files_get_type())

### ide_project_files_get_file_for_path ()

    IdeFile *
    ide_project_files_get_file_for_path (IdeProjectFiles *self,
                                         const gchar *path);

Retrieves an IdeFile for the path. If no such path exists within the project, `NULL` is returned.

#### Returns

An IdeFile or `NULL`.

[transfer full][nullable]

### ide_project_files_add_file ()

    void
    ide_project_files_add_file (IdeProjectFiles *self,
                                IdeProjectFile *file);

### ide_project_files_find_file ()

    IdeProjectItem *
    ide_project_files_find_file (IdeProjectFiles *self,
                                 GFile *file);

Tries to locate an IdeProjectFile matching the given file. If `file` is the working directory, `self` is returned.

#### Parameters

self | A IdeProjectFiles. | [in]
file | A GFile. |

#### Returns

An IdeProjectItem or `NULL`.

[transfer none][nullable]

## Types and Values

### struct IdeProjectFiles

    struct IdeProjectFiles;